Cygnal

Cygnal Monitor

POST
/cygnal/monitor

Monitors content for policy violations.

This endpoint is used to check if the provided text contains harmful content or violates the configured policy.

Docs: Guide | API Reference

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/cygnal/monitor" \  -H "Content-Type: application/json" \  -d '{}'
{  "violation": 0,  "observe_violation": 0,  "violated_rules": [],  "violated_rule_descriptions": [],  "ipi": false,  "mutation": false,  "scanner_output": {},  "reasoning": "string",  "input_tokens": 0,  "output_tokens": 0,  "activity_id": "string",  "error": false,  "error_message": "string"}